<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>ORKG Bioassays Semantification & Predicates Recommendation</title>
    <!-- CSS only -->
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6"
      crossorigin="anonymous"
    />

    <!-- JavaScript Bundle with Popper -->
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf"
      crossorigin="anonymous"
    ></script>

    <script
      src="https://code.jquery.com/jquery-3.6.0.min.js"
      integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4="
      crossorigin="anonymous"
    ></script>

    <script>
      $(document).ready(function () {
        $("#run").on("click", function () {
          $.ajax({
            type: "POST",
            url: "/bioassay/",
            data: JSON.stringify({
              bioassay: $("#bioassay").val(),
            }),
            contentType: "application/json; charset=utf-8",
            crossBrowser: true,
            success: function (GetStatusRs) {
              document.getElementById("result").innerHTML = JSON.stringify(
                GetStatusRs,
                undefined,
                2
              );
            },
            //onerror throw error.
            error: function (XMLHttpRequest, textStatus, errorThrown) {
              alert(
                "Error Getting status for parameters: - Error:" + errorThrown
              );
            },
          });
        });
        $("#runPredicates").on("click", function () {
          $.ajax({
            type: "GET",
            url: "/predicates/",
            data: {
              title: $("#title").val(),
              doi: $("#doi").val()
            },
            contentType: "application/json; charset=utf-8",
            crossBrowser: true,
            success: function (GetStatusRs) {
              document.getElementById("resultPredicates").innerHTML = JSON.stringify(
                GetStatusRs,
                undefined,
                2
              );
            },
            //onerror throw error.
            error: function (XMLHttpRequest, textStatus, errorThrown) {
              alert(
                "Error Getting status for parameters: - Error:" + errorThrown
              );
            },
          });
        });
      });
    </script>
  </head>

  <body>
    <div class="container">
      <div class="row">
        <ul class="nav nav-tabs" id="myTab" role="tablist">
          <li class="nav-item" role="presentation">
            <button
              class="nav-link active"
              id="Bioassay-tab"
              data-bs-toggle="tab"
              data-bs-target="#Bioassay"
              type="button"
              role="tab"
              aria-controls="Bioassay"
              aria-selected="true"
            >
              Bioassay
            </button>
          </li>
          <li class="nav-item" role="presentation">
            <button
              class="nav-link"
              id="PredicatesRecommendation-tab"
              data-bs-toggle="tab"
              data-bs-target="#PredicatesRecommendation"
              type="button"
              role="tab"
              aria-controls="PredicatesRecommendation"
              aria-selected="false"
            >
              Predicates Recommendation
            </button>
          </li>
        </ul>
        <div class="tab-content" id="myTabContent">
          <div
            class="tab-pane fade show active"
            id="Bioassay"
            role="tabpanel"
            aria-labelledby="Bioassay-tab"
          >
            <div id="bioassayfrom">
              <div class="form-group">
                <label for="bioassay"><h3>Bioassay</h3></label>
                <textarea class="form-control" id="bioassay" rows="3">
  Currently there are no small molecule tools to investigate the biological functions of apelin and its receptor. Apelin is the endogenous peptide ligand for the G-protein coupled receptor (GPCR) APJ (angiotensin II receptor-like 1, AGTRL-1 and APLNR). Until the discovery of apelin, APJ was an orphan GPCR. APJ is coupled to Gai, and has been shown in cell culture to inhibit adenylate cyclase. The APJ gene encodes a receptor that most closely resembles the angiotensin receptor AT1. However, the APJ receptor does not bind angiotensin II. Underscoring the emerging importance of the apelin/APJ system, recent studies have shown that apelin reduces the extent of atherosclerotic lesions in ApoE-/- mice, and opposes the development of abdominal aortic aneurysms. Additional research has revealed that APJ forms a heterodimer with the Ang II receptor AT1, and that this complex facilitates antagonism of Ang II signaling by apelin. Despite these exciting results, there remains a multitude of unanswered questions regarding the role of apelin and APJ in physiology and pathology. The project goal is to identify a chemical probe of apelin receptor function that transiently and reversibly activates the receptor. An agonist or potentiator of this receptor would provide a novel research tool to evaluate the role of apelin in cardiovascular and metabolic disease pathology. In this description we utilize enzyme-fragment complementation to directly measure GPCR activation. Unlike imaging or other second messenger assays, the DiscoveRx b-Arrestin assay allows for a direct measure of GPCR activation by detection of b-Arrestin binding to the APJ receptor. In this system, b-Arrestin is fused to an N-terminal deletion mutant of b-gal (termed the enzyme acceptor of EA) and the GPCR of interest is fused to a smaller (42 amino acids), weakly complementing fragment termed ProLink. In cells that stably express these fusion proteins, ligand stimulation results in the interaction of b-Arrestin and the Prolink-tagged GPCR, forcing the complementation of the two b-gal fragments and resulting in the formation of a functional enzyme that converts substrate to detectable signal. This assay is a follow-up to "uHTS identification of small molecule agonists of the APJ receptor via a luminescent beta-arrestin assay", AID 2520. A. Brief Description of the Assay: The purpose of this assay is to detect agonists that cause the activation the Angiotensin II receptor-like 1 (Apelin receptor) in the CHO-K1 AGTRL-1 beta-Arrestin Cell Line in 1536-well plate format in uHTS mode. B. Materials: Angiotensin II receptor-like 1 (AGTRL-1) Cell Line (DiscoveRx, Cat# 93-0250C2) F12 nutrient mix HAMs (Invitrogen, Cat# 11765) Fetal Bovine Serum, heat-inactivated (Hyclone, Cat# SH30396) 100X Penicillin/Streptomycin Solution (Invitrogen, Cat#15140-122) Hygromycin B (Roche, Cat# 10843555001) Geneticin (MPBiomedicals, Cat# 1672548) Trypsin-EDTA 0.25% (Invitrogen, Cat# 25200-056) Cell Dissociation Buffer (Invitrogen, Cat# 13151) DPBS (Hyclone, Cat# 30028.02) T225 TC Flask (Nunc, Cat# 159934) Cell strainer, 40 um (BD, Cat# 352340) 1536-well, white, solid-bottom, Kalypsys compatible, TC plate (Corning) Apelin-13 (Sigma-Aldrich, Cat# A6469) PathHunter Detection Reagents (DiscoveRx, Cat# 93-0001) Galacton Star Emerald 11 Cell Assay Buffer C. uHTS Procedures: Day1 Cell Seeding 1) Plate 1000 cells/well in 4 uL of assay media into columns 1-48 of a 1536-well assay plate, using straight tip dispense on a Kalypsys dispenser. 2) Centrifuge plates at 500 rpm for 1 minute on a Vspin centrifuge. Use Kalypsys metal lids. 3) Incubate overnight at 37 degrees, 100% relative humidity, 5% CO2 for 16-18 hours. Day2 Compound Addition 1) Centrifuge compound plates at 500 rpm for 1 minute on a Vspin centrifuge. 2) Using LabCyte Echo, transfer 60 nL from a 2 mM Echo qualified plate containing test compounds into assay plate Col. 5 - 48 (final concentration of test compounds is 20 uM, 1% DMSO). Transfer 60 nL of DMSO to positive and negative control wells in Columns 1 - 4. 3) Immediately following compound/DMSO transfer via the Echo, using the Kalypsys Dispenser, transfer 2ul/well of Assay media to Col. 3-48 for the negative control and test compound wells. 4) Using the Kalypsys Dispenser, add 2ul/well of 30 nM Apelin-13 (FAC = 10 nM) in assay media to Col. 1-2 for the positive control . 5) Centrifuge plates at 500 rpm for 1 minute on a Vspin centrifuge. 6) Incubate plates at 25 degrees in the dark for 90 minutes. 7) Following 90 minute incubation, deliver 3.0 uL of Detection Reagent solution to each assay plate (Columns 1 - 48) using a Kalypsys dispenser. 8) Centrifuge plates at 2000 rpm for 3 minute on a Vspin centrifuge. 9) Incubate plates for 60 minutes at 25 degrees in the dark. 10) Read plates using the Viewlux using a luminescence protocol. D. Recipes: Growth Media F12 nutrient mix HAMs supplemented with 10% hi-FBS, 1X Penicillin/Streptomycin; selection reagents: 300ug/ml Hygromycin B, 800ug/ml Geneticin Assay Media Same as Growth Media without the selection reagents Trypsin Dilute 0.25% Trypsin/EDTA to 0.05% Trypsin/EDTA using DPBS Positive Control Growth Media with 30 nM Apelin-13 Detection Reagent Use the following ratio to prepare the detection reagent: Galacton Star : Emerald II : Assay Buffer = 1 : 5 : 19</textarea
                >
              </div>
              <button class="btn btn-primary mt-2" id="run">Run</button>
            </div>
            <div><pre id="result"></pre></div>
          </div>
          <div
            class="tab-pane fade"
            id="PredicatesRecommendation"
            role="tabpanel"
            aria-labelledby="PredicatesRecommendation-tab"
          >
            <div id="predicatesfrom">
              <h3>Predicates Recommendation</h3>
              <div class="form-group">
                <label for="title">Title</label>
                <input
                  type="text"
                  placeholder="Title"
                  class="form-control"
                  id="title"
                />
              </div>
              <div class="form-group">
                <label for="doi">DOI</label>
                <input
                  type="text"
                  placeholder="Doi"
                  class="form-control"
                  id="doi"
                />
              </div>
              <button class="btn btn-primary mt-2" id="runPredicates">
                Run
              </button>
            </div>
            <div><pre id="resultPredicates"></pre></div>
          </div>
        </div>
      </div>
    </div>
  </body>
</html>
